package com.jeeplus.modules.sg.financial.expense.entity;

import com.jeeplus.core.persistence.ActEntity;

public class Expense extends ActEntity<Expense> {
    //项目名称
    private String projectName;
    //项目定义
    private String projectId;
    //项目批次
    private String projectBatch;
    //施工费合同折扣
    private Double constructionCost;
    //设计费合同折扣
    private Double designCost;
    //设计费典型设计折扣
    private Double designTypeicalCost;
    //监理费合同折扣
    private Double supervisionCost;
    //监理费典型折扣
    private Double supervisionTypeicalCost;
    //发文中设计费金额（不含税）
    private Double documentDesignCost;
    //发文中监理费金额（不含税）
    private Double documentSupervisionCost;


    private Double designFeePayable;//设计费应付金额
    private Double constructionFeePayable;//施工费应付金额

    public Double getDesignFeePayable() {
        return designFeePayable;
    }

    public void setDesignFeePayable(Double designFeePayable) {
        this.designFeePayable = designFeePayable;
    }

    public Double getConstructionFeePayable() {
        return constructionFeePayable;
    }

    public void setConstructionFeePayable(Double constructionFeePayable) {
        this.constructionFeePayable = constructionFeePayable;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectBatch() {
        return projectBatch;
    }

    public void setProjectBatch(String projectBatch) {
        this.projectBatch = projectBatch;
    }

    public Double getConstructionCost() {
        return constructionCost;
    }

    public void setConstructionCost(Double constructionCost) {
        this.constructionCost = constructionCost;
    }

    public Double getDesignCost() {
        return designCost;
    }

    public void setDesignCost(Double designCost) {
        this.designCost = designCost;
    }

    public Double getDesignTypeicalCost() {
        return designTypeicalCost;
    }

    public void setDesignTypeicalCost(Double designTypeicalCost) {
        this.designTypeicalCost = designTypeicalCost;
    }

    public Double getSupervisionCost() {
        return supervisionCost;
    }

    public void setSupervisionCost(Double supervisionCost) {
        this.supervisionCost = supervisionCost;
    }

    public Double getSupervisionTypeicalCost() {
        return supervisionTypeicalCost;
    }

    public void setSupervisionTypeicalCost(Double supervisionTypeicalCost) {
        this.supervisionTypeicalCost = supervisionTypeicalCost;
    }

    public Double getDocumentDesignCost() {
        return documentDesignCost;
    }

    public void setDocumentDesignCost(Double documentDesignCost) {
        this.documentDesignCost = documentDesignCost;
    }

    public Double getDocumentSupervisionCost() {
        return documentSupervisionCost;
    }

    public void setDocumentSupervisionCost(Double documentSupervisionCost) {
        this.documentSupervisionCost = documentSupervisionCost;
    }
}
