<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>需求基本信息</title>
	<meta name="decorator" content="ani"/>
	<script type="text/javascript">

		$(document).ready(function() {

	        $('#beginDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
	        $('#endDate').datetimepicker({
				 format: "YYYY-MM-DD HH:mm:ss"
		    });
		});
		function save() {
            var isValidate = jp.validateForm('#inputForm');//校验表单
            if(!isValidate){
                return false;
			}else{
                jp.loading();
                jp.post("${ctx}/sg/managementcenter/project/save",$('#inputForm').serialize(),function(data){
                    if(data.success){
                        jp.getParent().refresh();
                        var dialogIndex = parent.layer.getFrameIndex(window.name); // 获取窗口索引
                        parent.layer.close(dialogIndex);
                        jp.success(data.msg)

                    }else{
                        jp.error(data.msg);
                    }
                })
			}

        }
	</script>
</head>
<body class="bg-white">
		<form:form id="inputForm" modelAttribute="project" class="form-horizontal">
		<form:hidden path="id"/>	
		<table class="table table-bordered">
			<tbody>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目需求名称：</label></td>
					<td class="width-35">
						<form:input path="requireName" readonly="true"  htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">工程编号：</label></td>
					<td class="width-35">
						<form:input path="projectId"  readonly="true"  htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">项目名称：</label></td>
					<td class="width-35">
						<form:input path="projectName" readonly="true" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">项目定义号：</label></td>
					<td class="width-35">
						<form:input path="projectNumber" readonly="true" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>类型：</label></td>
					<td class="width-35">
						<form:input path="type" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="pull-right"><font color="red">*</font>需求提出单位：</label></td>
					<td class="width-35">
						<form:input path="demandUnit" readonly="true" htmlEscape="false"   class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">变电站名称：</label></td>
					<td class="width-35">
						<form:input path="bdzName" readonly="true" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">线路名称：</label></td>
					<td class="width-35">
						<form:input path="lineName" readonly="true" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目经理角色：</label></td>
					<td class="width-35">
						<form:input path="projectManageRole" readonly="true" disabled="disabled" htmlEscape="false" class="form-control required "/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>配网工程专职角色：</label></td>
					<td class="width-35">
						<form:input path="distributionEngineering" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>配网物资专职角色：</label></td>
					<td class="width-35">
						<form:input path="distributionMaterials" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>配网系统专职角色：</label></td>
					<td class="width-35">
						<form:input path="distributionSystem" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>配网政策处理专职：</label></td>
					<td class="width-35">
						<form:input path="distributionPolicy" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目管理中心领导角色：</label></td>
					<td class="width-35">
						<form:input path="managementLeader" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>运行单位：</label></td>
					<td class="width-35">
						<form:input path="runUnit" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>运行单位角色：</label></td>
					<td class="width-35">
						<form:input path="runUnitRole" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>经研所角色：</label></td>
					<td class="width-35">
						<form:input path="throughResearchRole"  readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>施工单位：</label></td>
					<td class="width-35">
						<form:input path="constructionUnit" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>施工单位角色：</label></td>
					<td class="width-35">
						<form:input path="constructionUnitRole" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>施工单位项目经理：</label></td>
					<td class="width-35">
						<form:input path="constructionUnitManage" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>施工单位领导：</label></td>
					<td class="width-35">
						<form:input path="constructionUnitLeader" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>设计单位：</label></td>
					<td class="width-35">
						<form:input path="designUnit" htmlEscape="false" readonly="true" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>设计单位项目经理：</label></td>
					<td class="width-35">
						<form:input path="designUnitManage" htmlEscape="false" readonly="true" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>设计单位领导：</label></td>
					<td class="width-35">
						<form:input path="designUnitLeader" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>交底类型：</label></td>
					<td class="width-35">
						<form:input path="clarificaitonType" readonly="true" htmlEscape="false" class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">建设理由分类：</label></td>
					<td class="width-35">
						<form:input path="bulidClassificationResons" readonly="true" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">建设理由：</label></td>
					<td class="width-35">
						<form:textarea path="bulbidResons" readonly="true" htmlEscape="false" rows="4"    class="form-control "/>
					</td>
					<td class="width-15 active"><label class="">设备基本情况：</label></td>
					<td class="width-35">
						<form:input path="asicEquipment" readonly="true" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">运行班：</label></td>
					<td class="width-35">
						<form:input path="runTheClass" readonly="true" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">项目组：</label></td>
					<td class="width-35">
						<form:input path="projectTeam" readonly="true" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">费用估算：</label></td>
					<td class="width-35">
						<form:input path="costEstimate" readonly="true" htmlEscape="false"    class="form-control number"/>
					</td>
					<td class="width-15 active"><label class="">是否迎风期度夏项目：</label></td>
					<td class="width-35">
						<form:input path="whetherRheUpwind" readonly="true"  htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">确定下达时间：</label></td>
					<td class="width-35">
						<form:input path="sureDaDate" readonly="true" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class="">备注：</label></td>
					<td class="width-35">
						<form:textarea path="textRemark" readonly="true" htmlEscape="false" rows="4"    class="form-control "/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class="">停电线路：</label></td>
					<td class="width-35">
						<form:input path="powerLine" htmlEscape="false"    class="form-control"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>停电范围：</label></td>
					<td class="width-35">
						<form:input path="powerScope" htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>项目类型：</label></td>
					<td class="width-35">
						<form:input path="projectType" htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否为停电打包项目：</label></td>
					<td class="width-35">
						<form:input path="powerFlagPackage" htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>政处初步判断：</label></td>
					<td class="width-35">
						<form:input path="preliminaryJudgment" htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否含土建（不含钢管杆）：</label></td>
					<td class="width-35">
						<form:input path="flagCivilEngineering" htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>钢管杆基础类型：</label></td>
					<td class="width-35">
						<form:input path="steelTubePole" htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否需要规矩报批：</label></td>
					<td class="width-35">
						<form:input path="flagApprovalPlanning" htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>设备改造类型：</label></td>
					<td class="width-35">
						<form:input path="equCreateType" htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">改造设备尺寸及间隔数：</label></td>
					<td class="width-35">
						<form:input path="equCreateSize" htmlEscape="false" class="form-control"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否新设备命名：</label></td>
					<td class="width-35">
						<form:input path="flagNewEquName" htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否含变电站新间格投运：</label></td>
					<td class="width-35">
						<form:input path="includeBdzNews" htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否非涉电电气施工：</label></td>
					<td class="width-35">
						<form:input path="flagNoElectrical" htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>图纸标注的带点作业情况：</label></td>
					<td class="width-35">
						<form:input path="drawingsWork" htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>是否含自动化：</label></td>
					<td class="width-35">
						<form:input path="flagAutomation" htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>二遥或三摇：</label></td>
					<td class="width-35">
						<form:input path="twoAndThreeRemote" htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>通讯方式：</label></td>
					<td class="width-35">
						<form:input path="phoneStyle" htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class=""><font color="red">*</font>柱开集中或就业地：</label></td>
					<td class="width-35">
						<form:input path="stayOpenArea" htmlEscape="false"    class="form-control required"/>
					</td>
				</tr>
				<tr>
					<td class="width-15 active"><label class=""><font color="red">*</font>环网柜：</label></td>
					<td class="width-35">
						<form:input path="ringNetworkCabinet" htmlEscape="false"    class="form-control required"/>
					</td>
					<td class="width-15 active"><label class="">站房dtu：</label></td>
					<td class="width-35">
						<form:input path="stationDtu" htmlEscape="false"    class="form-control"/>
					</td>
				</tr>
			</tbody>
		</table>
	</form:form>
</body>
</html>